'use strict';

const nodeFragmentShader = `
  uniform vec3 uColor;
  uniform sampler2D uTexture;

  varying vec3 vColor;
  varying float vOpacity;

  void main () {
    gl_FragColor = vec4(uColor * vColor, vOpacity);
    gl_FragColor = gl_FragColor * texture2D(uTexture, gl_PointCoord);

    if (gl_FragColor.a < 0.1) discard;
  }
`;
